import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
var _excluded = ["filter", "children", "className"];
import PropTypes from 'prop-types';
import React from 'react';
import classNames from 'classnames';

var ModuleHeader = function ModuleHeader(_ref) {
  var filter = _ref.filter,
      children = _ref.children,
      className = _ref.className,
      other = _objectWithoutProperties(_ref, _excluded);

  var wrapperClasses = classNames('wfp--module__header', className);
  return /*#__PURE__*/React.createElement("div", _extends({
    className: wrapperClasses
  }, other), /*#__PURE__*/React.createElement("h1", {
    className: "wfp--module__title"
  }, children), filter && /*#__PURE__*/React.createElement("div", {
    className: "wfp--module__filter"
  }, filter));
};

ModuleHeader.propTypes = {
  /**
   * Specify the content of the `ModuleHeaders`
   */
  children: PropTypes.node,

  /**
   * The CSS class name for the `ModuleHeaders`.
   */
  className: PropTypes.string
};
export default ModuleHeader;